# Validate email addresses

Use this endpoint to verify email addresses in batch.

Endpoint: POST /doGlobalEmail

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json", "application/xml"

## Request fields (application/json):

  - `CustomerID` (string, required)
    Required. The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

  - `Format` (string)
    Specify the desired format of the response (XML or JSON).
    Enum: "JSON", "XML"

  - `Options` (string)
    [Options](https://docs.melissa.com/cloud-api/global-email/global-email-reference-guide.html#options) - List options in the following format, with multiple options delimited with a ,.

OptionName:Parameter,OptionName:Parameter
- AllowQuotes: - Allow double-quoted mailbox names. This allows special characters and whitespace within a valid quoted string. Default is on.
- BounceCheck: - Conditionally triggers a real-time test message to the mail server for a given mailbox. Default is off.
- DomainCorrection: - Activates fuzzy email domain correction if the domain is a suspected typo. Default is on.
- TimeToWait:- Select how long the web service will wait before it times out on an email. Default set to 25.
- VerifyMailbox:
  - Express - Quickly validates against database of known email addresses.
  - Premium - A real time check is performed to determine email deliverability. This is the default option.
- WhoIsLookup: - Activates domain information Lookups. Default is on.

  - `Records` (array, required)

  - `Records.Email` (string)
    Required. The email address to be verified.

  - `Records.RecordID` (string)
    A unique identifier for the record.

  - `TransmissionReference` (string)
    Serves as a unique request identifier.

## Response 200 fields (application/json):

  - `Version` (string)
    The current service version number.

  - `TransmissionReference` (string)
    A pass-through of the input TransmissionReference field.

  - `TransmissionResults` (string)
    Lists error codes from any errors caused by the most recent request as a whole. For more information, see [Global Email Result Codes](https://docs.melissa.com/cloud-api/global-email/result-codes.html).

  - `TotalRecords` (string)
    Total number of records.

  - `Records` (array)

  - `Records.RecordID` (string)
    The number of the record. Always 1 for a single email request, otherwise it serves as an index of the array of records.

  - `Records.DeliverabilityConfidenceScore` (string)
    The probability [0-100]% of an email sent to this mailbox will be successfully delivered.

  - `Records.Results` (string)
    Comma delimited status, error codes, and change codes for the record.

  - `Records.EmailAddress` (string)
    The email address or domain, including any corrections or updates made by Global Email.

  - `Records.MailboxName` (string)
    The mailbox or user name portion of the email address (Everything before the @ in the email address).

  - `Records.DomainName` (string)
    The domain name portion of the email address. (All characters between the @ and . characters.).

  - `Records.DomainAuthenticationStatus` (string)
    The security protocols used on the receiving mail server.

  - `Records.TopLevelDomain` (string)
    The description associated with the top-level domain name of the email address (e.g. com is Commercial).

  - `Records.TopLevelDomainName` (string)
    The top level domain name portion of the email address (All characters after the ., e.g. com).

  - `Records.DateChecked` (string)
    The date the email was validated. It returns UTC, Unix Time (Epoch Time) in the MM/DD/YYYY H:MM:SS format.

  - `Records.EmailAgeEstimated` (string)
    The estimated minimum age of the email in days based on historical data. The value is zero when we lack historical data on a given email.

  - `Records.DomainAgeEstimated` (string)
    The estimated age of the domain in days.

  - `Records.DomainExpirationDate` (string)
    The date the domain expires/expired in the YYYY-MM-DDTHH:MM:SS format. This is When the domain will be renewed or available to buy.

  - `Records.DomainCreatedDate` (string)
    The date the domain was created in the YYYY-MM-DDTHH:MM:SS format.

  - `Records.DomainUpdatedDate` (string)
    The date the domain was last updated in the YYYY-MM-DDTHH:MM:SS format.

  - `Records.DomainEmail` (string)
    The email associated with the domain owner.

  - `Records.DomainOrganization` (string)
    The company associated with the domain owner.

  - `Records.DomainAddress1` (string)
    The address of the DomainOrganization.

  - `Records.DomainLocality` (string)
    The city of the DomainOrganization.

  - `Records.DomainAdministrativeArea` (string)
    The state of the DomainOrganization.

  - `Records.DomainPostalCode` (string)
    The postal code of the DomainOrganization.

  - `Records.DomainCountry` (string)
    The country of the DomainOrganization.

  - `Records.DomainCountryCode` (string)
    The country code of the DomainCountry.

  - `Records.DomainAvailability` (string)
    Check to see if domain is available for purchase.

  - `Records.DomainPrivateProxy` (string)
    Check if domain is behind a private proxy.

  - `Records.PrivacyFlag` (string)
    Is this email affected by additional privacy regulations, such as GDPR. Returns Y for yes and N for no.

  - `Records.MXServer` (string)
    Premium only. The Mail Exchange (MX) Server used to validate the email.

  - `Records.DomainTypeIndicator` (string)
    Predicts if email belongs to a personal or business/organization email by analyzing the domain.

  - `Records.BreachCount` (string)
    The known number of breaches that this email account has been involved in.

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


